Main Page Namespace List Class Hierarchy Compound List Compound Members

# ZThread::Cancelable Class Reference

`#include <Cancelable.h>`

Inheritance diagram for ZThread::Cancelable::

List of all members.

## Public Methods
virtual | ~Cancelable () throw ()
virtual void | cancel ()=0 throw (Synchronization_Exception)
virtual bool | isCanceled ()=0 throw (Synchronization_Exception)

## Detailed Description

Date:
  03-05-2001

Author:
  Eric Crahen

Version:
  1.3.0

This class defines a 'Cancelable' item. Canceling item indicates that that item should gracefully shutdown and stop at some point soon if not immediately.

For instance, canceling a Queue will cause it accept no new items. It can return all items that were added before it was canceled but it definitely empty at some point.

## Constructor & Destructor Documentation

~Cancelable ( | ) throw ()`[inline, virtual]`

| Destroy this Cancelable object

## Member Function Documentation

void cancel ( | ) throw (Synchronization_Exception)`[pure virtual]`

| Indicate that target item should stop accepting new input and shutdown at some point Reimplemented in ZThread::AbstractExecutor, ZThread::BlockingQueue, ZThread::BufferedQueue, ZThread::Executor, ZThread::LockedQueue, ZThread::MonitoredQueue, ZThread::Queue, ZThread::SimpleQueue, ZThread::SyncExecutor, and ZThread::TimerThread.

bool isCanceled ( | ) throw (Synchronization_Exception)`[pure virtual]`

| Check the cancelation status of this Queue Returns: bool - cancelation status Reimplemented in ZThread::AbstractExecutor, ZThread::BlockingQueue, ZThread::BufferedQueue, ZThread::LockedQueue, ZThread::MonitoredQueue, ZThread::SimpleQueue, ZThread::SyncExecutor, and ZThread::TimerThread.

The documentation for this class was generated from the following file:

- Cancelable.h